org.apache.cassandra.db

## Class Directories.DataDirectory

- java.lang.Object
- - org.apache.cassandra.db.Directories.DataDirectory

Enclosing class:
  Directories

    public static class Directories.DataDirectory
    extends java.lang.Object

### Field Summary

Fields
`java.io.File` `location`

### Constructor Summary

Constructors
Constructor and Description
`DataDirectory(java.io.File location)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getAvailableSpace()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### location

    public final java.io.File location

### Constructor Detail

#### DataDirectory

    public DataDirectory(java.io.File location)

### Method Detail

#### getAvailableSpace

    public long getAvailableSpace()